/{organizationId}/{mandateId}/crm/contracts/collections/listGets a list of contract collections for the mandate
Required permissions:
mandate.read
contractCollection.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
statusstringoptional Options:
collectingdraftcompletedsentpartialPaidpaidnextActionstringoptional Options:
completesendcollectDirectDebitscollectOnlineDebitschargeA stringified json object representing a property filter
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contracts/collections/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"contractCollections": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"status": "collecting",
"progress": 0,
"contractCounter": 0,
"failedContractCounter": 0,
"receiptCounters": {
"total": 0,
"draft": 0,
"completed": 0,
"sent": 0,
"paymentMethodTypes": {},
"sendMethodTypes": {}
},
"nextAction": "complete",
"totalAmount": 0,
"openAmount": 0,
"paidAmount": 0
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}